For the complete documentation index, see llms.txt. This page is also available as Markdown.

Commission token formation

The method allows you to get a commission token for cross-chain transfer

Commission token formation

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body

The body of the commission token creation request

currencystringRequired

The coin you want to exchange

Example: USDT
networkFromstringRequired

Outgoing network

Example: ethereum
networkTostringRequired

Network where you want to receive coins

Example: tron
amountstringRequired

Amount to transfer

Example: 200
Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/api-gateway/bridge/fee-token
POST /api-gateway/bridge/fee-token HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "currency": "USDT",
  "networkFrom": "ethereum",
  "networkTo": "tron",
  "amount": "200"
}
200Success
{
  "success": true,
  "response": {
    "blockchainFee": "2",
    "blockchainFeeUSD": "2.12",
    "serviceFeeUSD": "0.50",
    "amount": "200",
    "amountUSD": "200",
    "token": "U2FsdGVkX1+0qvK90bLz2wDsIDgMaEeEeZ5Jb4fQAAdtxBqN7I/j6JWxNqCTJow3rIeQG/Dssm90suTXp8ixKxGe+mb6/V2IpKmKDwbcYHZ/gzB3vD/NB1diYVG6QsRRt+HRBtga8bX1kTJCtEk76bQLTn0x43IIv1Irpb3Zag6aTKOf88+zmC+R0W/9ezbpzN/JxvAWosxaL+gbhdwT5EK81Kkuxkj52za3un+TE+c=",
    "expiresAt": "2026-01-29T11:15:13.706Z"
  }
}

Last updated